<bugID>1364002<Summary>Store the user-made search suggestion choice along with userMadeSearchSuggestionChoice</Summary><Description>To properly enable search suggestions respecting user choice we need to store the user-made choice, along with the fact the user made a choice.

This will need to be uplifted to Beta 54 and ESR 52.</Description></bugID>